package com.mortals.xhx.module.window.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.window.model.WindowPerformEntity;
/**
 * 大厅窗口考核登记信息查询对象
 *
 * @author zxfei
 * @date 2024-01-17
 */
public class WindowPerformQuery extends WindowPerformEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考核年度 */
    private Integer yearStart;

    /** 结束 考核年度 */
    private Integer yearEnd;

    /** 增加 考核年度 */
    private Integer yearIncrement;

    /** 考核年度列表 */
    private List <Integer> yearList;

    /** 考核年度排除列表 */
    private List <Integer> yearNotList;

    /** 开始 考核月份 */
    private Integer monthStart;

    /** 结束 考核月份 */
    private Integer monthEnd;

    /** 增加 考核月份 */
    private Integer monthIncrement;

    /** 考核月份列表 */
    private List <Integer> monthList;

    /** 考核月份排除列表 */
    private List <Integer> monthNotList;

    /** 开始 窗口ID */
    private Long windowIdStart;

    /** 结束 窗口ID */
    private Long windowIdEnd;

    /** 增加 窗口ID */
    private Long windowIdIncrement;

    /** 窗口ID列表 */
    private List <Long> windowIdList;

    /** 窗口ID排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 开始 窗口负责人id */
    private Long ownerIdStart;

    /** 结束 窗口负责人id */
    private Long ownerIdEnd;

    /** 增加 窗口负责人id */
    private Long ownerIdIncrement;

    /** 窗口负责人id列表 */
    private List <Long> ownerIdList;

    /** 窗口负责人id排除列表 */
    private List <Long> ownerIdNotList;

    /** 窗口负责人名称 */
    private List<String> ownerNameList;

    /** 窗口负责人名称排除列表 */
    private List <String> ownerNameNotList;
    /** 开始 所属部门id */
    private Long deptIdStart;

    /** 结束 所属部门id */
    private Long deptIdEnd;

    /** 增加 所属部门id */
    private Long deptIdIncrement;

    /** 所属部门id列表 */
    private List <Long> deptIdList;

    /** 所属部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 工作总结 */
    private List<String> workSummaryList;

    /** 工作总结排除列表 */
    private List <String> workSummaryNotList;
    /** 加分申报 */
    private List<String> bonusReportList;

    /** 加分申报排除列表 */
    private List <String> bonusReportNotList;
    /** 加分佐证附件名称 */
    private List<String> proofList;

    /** 加分佐证附件名称排除列表 */
    private List <String> proofNotList;
    /** 加分佐证附件地址 */
    private List<String> proofUrlList;

    /** 加分佐证附件地址排除列表 */
    private List <String> proofUrlNotList;
    /** 扣分情况 */
    private List<String> deductStatementList;

    /** 扣分情况排除列表 */
    private List <String> deductStatementNotList;
    /** 开始 扣分分值 */
    private BigDecimal deductScoreStart;

    /** 结束 扣分分值 */
    private BigDecimal deductScoreEnd;

    /** 增加 扣分分值 */
    private BigDecimal deductScoreIncrement;

    /** 扣分分值列表 */
    private List <BigDecimal> deductScoreList;

    /** 扣分分值排除列表 */
    private List <BigDecimal> deductScoreNotList;

    /** 开始 工作纪律自评得分 */
    private BigDecimal disciplineStart;

    /** 结束 工作纪律自评得分 */
    private BigDecimal disciplineEnd;

    /** 增加 工作纪律自评得分 */
    private BigDecimal disciplineIncrement;

    /** 工作纪律自评得分列表 */
    private List <BigDecimal> disciplineList;

    /** 工作纪律自评得分排除列表 */
    private List <BigDecimal> disciplineNotList;

    /** 开始 服务规范自评得分 */
    private BigDecimal specificationStart;

    /** 结束 服务规范自评得分 */
    private BigDecimal specificationEnd;

    /** 增加 服务规范自评得分 */
    private BigDecimal specificationIncrement;

    /** 服务规范自评得分列表 */
    private List <BigDecimal> specificationList;

    /** 服务规范自评得分排除列表 */
    private List <BigDecimal> specificationNotList;

    /** 开始 加分 */
    private BigDecimal bonusScoreStart;

    /** 结束 加分 */
    private BigDecimal bonusScoreEnd;

    /** 增加 加分 */
    private BigDecimal bonusScoreIncrement;

    /** 加分列表 */
    private List <BigDecimal> bonusScoreList;

    /** 加分排除列表 */
    private List <BigDecimal> bonusScoreNotList;

    /** 开始 合计得分 */
    private BigDecimal sumScoreStart;

    /** 结束 合计得分 */
    private BigDecimal sumScoreEnd;

    /** 增加 合计得分 */
    private BigDecimal sumScoreIncrement;

    /** 合计得分列表 */
    private List <BigDecimal> sumScoreList;

    /** 合计得分排除列表 */
    private List <BigDecimal> sumScoreNotList;

    /** 开始 自评等级1红旗窗口2黑旗窗口 */
    private Integer selfLevelStart;

    /** 结束 自评等级1红旗窗口2黑旗窗口 */
    private Integer selfLevelEnd;

    /** 增加 自评等级1红旗窗口2黑旗窗口 */
    private Integer selfLevelIncrement;

    /** 自评等级1红旗窗口2黑旗窗口列表 */
    private List <Integer> selfLevelList;

    /** 自评等级1红旗窗口2黑旗窗口排除列表 */
    private List <Integer> selfLevelNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 自评附件名称 */
    private List<String> annexList;

    /** 自评附件名称排除列表 */
    private List <String> annexNotList;
    /** 自评附件地址 */
    private List<String> annexUrlList;

    /** 自评附件地址排除列表 */
    private List <String> annexUrlNotList;
    /** 开始 填报时间 */
    private String fillDateStart;

    /** 结束 填报时间 */
    private String fillDateEnd;

    /** 开始 填报状态0暂存1提交 */
    private Integer fillStatusStart;

    /** 结束 填报状态0暂存1提交 */
    private Integer fillStatusEnd;

    /** 增加 填报状态0暂存1提交 */
    private Integer fillStatusIncrement;

    /** 填报状态0暂存1提交列表 */
    private List <Integer> fillStatusList;

    /** 填报状态0暂存1提交排除列表 */
    private List <Integer> fillStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowPerformQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowPerformQuery> andConditionList;

    public WindowPerformQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 考核年度
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 考核年度
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 考核年度
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 考核年度
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 考核年度
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 考核月份
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 考核月份
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 考核月份
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 考核月份
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 考核月份
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 窗口ID
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口ID
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口ID
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口ID
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口ID
     * @return windowIdNotList
     */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 开始 窗口负责人id
     * @return ownerIdStart
     */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
     * 获取 结束 窗口负责人id
     * @return $ownerIdEnd
     */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
     * 获取 增加 窗口负责人id
     * @return ownerIdIncrement
     */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdList
     */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdNotList
     */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
     * 获取 窗口负责人名称
     * @return ownerNameList
     */
    public List<String> getOwnerNameList(){
        return this.ownerNameList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public void setOwnerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
    }

    /**
     * 获取 窗口负责人名称
     * @return ownerNameNotList
     */
    public List<String> getOwnerNameNotList(){
        return this.ownerNameNotList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameNotList
     */
    public void setOwnerNameNotList(List<String> ownerNameNotList){
        this.ownerNameNotList = ownerNameNotList;
    }

    /**
     * 获取 开始 所属部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 工作总结
     * @return workSummaryList
     */
    public List<String> getWorkSummaryList(){
        return this.workSummaryList;
    }

    /**
     * 设置 工作总结
     * @param workSummaryList
     */
    public void setWorkSummaryList(List<String> workSummaryList){
        this.workSummaryList = workSummaryList;
    }

    /**
     * 获取 工作总结
     * @return workSummaryNotList
     */
    public List<String> getWorkSummaryNotList(){
        return this.workSummaryNotList;
    }

    /**
     * 设置 工作总结
     * @param workSummaryNotList
     */
    public void setWorkSummaryNotList(List<String> workSummaryNotList){
        this.workSummaryNotList = workSummaryNotList;
    }

    /**
     * 获取 加分申报
     * @return bonusReportList
     */
    public List<String> getBonusReportList(){
        return this.bonusReportList;
    }

    /**
     * 设置 加分申报
     * @param bonusReportList
     */
    public void setBonusReportList(List<String> bonusReportList){
        this.bonusReportList = bonusReportList;
    }

    /**
     * 获取 加分申报
     * @return bonusReportNotList
     */
    public List<String> getBonusReportNotList(){
        return this.bonusReportNotList;
    }

    /**
     * 设置 加分申报
     * @param bonusReportNotList
     */
    public void setBonusReportNotList(List<String> bonusReportNotList){
        this.bonusReportNotList = bonusReportNotList;
    }

    /**
     * 获取 加分佐证附件名称
     * @return proofList
     */
    public List<String> getProofList(){
        return this.proofList;
    }

    /**
     * 设置 加分佐证附件名称
     * @param proofList
     */
    public void setProofList(List<String> proofList){
        this.proofList = proofList;
    }

    /**
     * 获取 加分佐证附件名称
     * @return proofNotList
     */
    public List<String> getProofNotList(){
        return this.proofNotList;
    }

    /**
     * 设置 加分佐证附件名称
     * @param proofNotList
     */
    public void setProofNotList(List<String> proofNotList){
        this.proofNotList = proofNotList;
    }

    /**
     * 获取 加分佐证附件地址
     * @return proofUrlList
     */
    public List<String> getProofUrlList(){
        return this.proofUrlList;
    }

    /**
     * 设置 加分佐证附件地址
     * @param proofUrlList
     */
    public void setProofUrlList(List<String> proofUrlList){
        this.proofUrlList = proofUrlList;
    }

    /**
     * 获取 加分佐证附件地址
     * @return proofUrlNotList
     */
    public List<String> getProofUrlNotList(){
        return this.proofUrlNotList;
    }

    /**
     * 设置 加分佐证附件地址
     * @param proofUrlNotList
     */
    public void setProofUrlNotList(List<String> proofUrlNotList){
        this.proofUrlNotList = proofUrlNotList;
    }

    /**
     * 获取 扣分情况
     * @return deductStatementList
     */
    public List<String> getDeductStatementList(){
        return this.deductStatementList;
    }

    /**
     * 设置 扣分情况
     * @param deductStatementList
     */
    public void setDeductStatementList(List<String> deductStatementList){
        this.deductStatementList = deductStatementList;
    }

    /**
     * 获取 扣分情况
     * @return deductStatementNotList
     */
    public List<String> getDeductStatementNotList(){
        return this.deductStatementNotList;
    }

    /**
     * 设置 扣分情况
     * @param deductStatementNotList
     */
    public void setDeductStatementNotList(List<String> deductStatementNotList){
        this.deductStatementNotList = deductStatementNotList;
    }

    /**
     * 获取 开始 扣分分值
     * @return deductScoreStart
     */
    public BigDecimal getDeductScoreStart(){
        return this.deductScoreStart;
    }

    /**
     * 设置 开始 扣分分值
     * @param deductScoreStart
     */
    public void setDeductScoreStart(BigDecimal deductScoreStart){
        this.deductScoreStart = deductScoreStart;
    }

    /**
     * 获取 结束 扣分分值
     * @return $deductScoreEnd
     */
    public BigDecimal getDeductScoreEnd(){
        return this.deductScoreEnd;
    }

    /**
     * 设置 结束 扣分分值
     * @param deductScoreEnd
     */
    public void setDeductScoreEnd(BigDecimal deductScoreEnd){
        this.deductScoreEnd = deductScoreEnd;
    }

    /**
     * 获取 增加 扣分分值
     * @return deductScoreIncrement
     */
    public BigDecimal getDeductScoreIncrement(){
        return this.deductScoreIncrement;
    }

    /**
     * 设置 增加 扣分分值
     * @param deductScoreIncrement
     */
    public void setDeductScoreIncrement(BigDecimal deductScoreIncrement){
        this.deductScoreIncrement = deductScoreIncrement;
    }

    /**
     * 获取 扣分分值
     * @return deductScoreList
     */
    public List<BigDecimal> getDeductScoreList(){
        return this.deductScoreList;
    }

    /**
     * 设置 扣分分值
     * @param deductScoreList
     */
    public void setDeductScoreList(List<BigDecimal> deductScoreList){
        this.deductScoreList = deductScoreList;
    }

    /**
     * 获取 扣分分值
     * @return deductScoreNotList
     */
    public List<BigDecimal> getDeductScoreNotList(){
        return this.deductScoreNotList;
    }

    /**
     * 设置 扣分分值
     * @param deductScoreNotList
     */
    public void setDeductScoreNotList(List<BigDecimal> deductScoreNotList){
        this.deductScoreNotList = deductScoreNotList;
    }


    /**
     * 获取 开始 工作纪律自评得分
     * @return disciplineStart
     */
    public BigDecimal getDisciplineStart(){
        return this.disciplineStart;
    }

    /**
     * 设置 开始 工作纪律自评得分
     * @param disciplineStart
     */
    public void setDisciplineStart(BigDecimal disciplineStart){
        this.disciplineStart = disciplineStart;
    }

    /**
     * 获取 结束 工作纪律自评得分
     * @return $disciplineEnd
     */
    public BigDecimal getDisciplineEnd(){
        return this.disciplineEnd;
    }

    /**
     * 设置 结束 工作纪律自评得分
     * @param disciplineEnd
     */
    public void setDisciplineEnd(BigDecimal disciplineEnd){
        this.disciplineEnd = disciplineEnd;
    }

    /**
     * 获取 增加 工作纪律自评得分
     * @return disciplineIncrement
     */
    public BigDecimal getDisciplineIncrement(){
        return this.disciplineIncrement;
    }

    /**
     * 设置 增加 工作纪律自评得分
     * @param disciplineIncrement
     */
    public void setDisciplineIncrement(BigDecimal disciplineIncrement){
        this.disciplineIncrement = disciplineIncrement;
    }

    /**
     * 获取 工作纪律自评得分
     * @return disciplineList
     */
    public List<BigDecimal> getDisciplineList(){
        return this.disciplineList;
    }

    /**
     * 设置 工作纪律自评得分
     * @param disciplineList
     */
    public void setDisciplineList(List<BigDecimal> disciplineList){
        this.disciplineList = disciplineList;
    }

    /**
     * 获取 工作纪律自评得分
     * @return disciplineNotList
     */
    public List<BigDecimal> getDisciplineNotList(){
        return this.disciplineNotList;
    }

    /**
     * 设置 工作纪律自评得分
     * @param disciplineNotList
     */
    public void setDisciplineNotList(List<BigDecimal> disciplineNotList){
        this.disciplineNotList = disciplineNotList;
    }


    /**
     * 获取 开始 服务规范自评得分
     * @return specificationStart
     */
    public BigDecimal getSpecificationStart(){
        return this.specificationStart;
    }

    /**
     * 设置 开始 服务规范自评得分
     * @param specificationStart
     */
    public void setSpecificationStart(BigDecimal specificationStart){
        this.specificationStart = specificationStart;
    }

    /**
     * 获取 结束 服务规范自评得分
     * @return $specificationEnd
     */
    public BigDecimal getSpecificationEnd(){
        return this.specificationEnd;
    }

    /**
     * 设置 结束 服务规范自评得分
     * @param specificationEnd
     */
    public void setSpecificationEnd(BigDecimal specificationEnd){
        this.specificationEnd = specificationEnd;
    }

    /**
     * 获取 增加 服务规范自评得分
     * @return specificationIncrement
     */
    public BigDecimal getSpecificationIncrement(){
        return this.specificationIncrement;
    }

    /**
     * 设置 增加 服务规范自评得分
     * @param specificationIncrement
     */
    public void setSpecificationIncrement(BigDecimal specificationIncrement){
        this.specificationIncrement = specificationIncrement;
    }

    /**
     * 获取 服务规范自评得分
     * @return specificationList
     */
    public List<BigDecimal> getSpecificationList(){
        return this.specificationList;
    }

    /**
     * 设置 服务规范自评得分
     * @param specificationList
     */
    public void setSpecificationList(List<BigDecimal> specificationList){
        this.specificationList = specificationList;
    }

    /**
     * 获取 服务规范自评得分
     * @return specificationNotList
     */
    public List<BigDecimal> getSpecificationNotList(){
        return this.specificationNotList;
    }

    /**
     * 设置 服务规范自评得分
     * @param specificationNotList
     */
    public void setSpecificationNotList(List<BigDecimal> specificationNotList){
        this.specificationNotList = specificationNotList;
    }


    /**
     * 获取 开始 加分
     * @return bonusScoreStart
     */
    public BigDecimal getBonusScoreStart(){
        return this.bonusScoreStart;
    }

    /**
     * 设置 开始 加分
     * @param bonusScoreStart
     */
    public void setBonusScoreStart(BigDecimal bonusScoreStart){
        this.bonusScoreStart = bonusScoreStart;
    }

    /**
     * 获取 结束 加分
     * @return $bonusScoreEnd
     */
    public BigDecimal getBonusScoreEnd(){
        return this.bonusScoreEnd;
    }

    /**
     * 设置 结束 加分
     * @param bonusScoreEnd
     */
    public void setBonusScoreEnd(BigDecimal bonusScoreEnd){
        this.bonusScoreEnd = bonusScoreEnd;
    }

    /**
     * 获取 增加 加分
     * @return bonusScoreIncrement
     */
    public BigDecimal getBonusScoreIncrement(){
        return this.bonusScoreIncrement;
    }

    /**
     * 设置 增加 加分
     * @param bonusScoreIncrement
     */
    public void setBonusScoreIncrement(BigDecimal bonusScoreIncrement){
        this.bonusScoreIncrement = bonusScoreIncrement;
    }

    /**
     * 获取 加分
     * @return bonusScoreList
     */
    public List<BigDecimal> getBonusScoreList(){
        return this.bonusScoreList;
    }

    /**
     * 设置 加分
     * @param bonusScoreList
     */
    public void setBonusScoreList(List<BigDecimal> bonusScoreList){
        this.bonusScoreList = bonusScoreList;
    }

    /**
     * 获取 加分
     * @return bonusScoreNotList
     */
    public List<BigDecimal> getBonusScoreNotList(){
        return this.bonusScoreNotList;
    }

    /**
     * 设置 加分
     * @param bonusScoreNotList
     */
    public void setBonusScoreNotList(List<BigDecimal> bonusScoreNotList){
        this.bonusScoreNotList = bonusScoreNotList;
    }


    /**
     * 获取 开始 合计得分
     * @return sumScoreStart
     */
    public BigDecimal getSumScoreStart(){
        return this.sumScoreStart;
    }

    /**
     * 设置 开始 合计得分
     * @param sumScoreStart
     */
    public void setSumScoreStart(BigDecimal sumScoreStart){
        this.sumScoreStart = sumScoreStart;
    }

    /**
     * 获取 结束 合计得分
     * @return $sumScoreEnd
     */
    public BigDecimal getSumScoreEnd(){
        return this.sumScoreEnd;
    }

    /**
     * 设置 结束 合计得分
     * @param sumScoreEnd
     */
    public void setSumScoreEnd(BigDecimal sumScoreEnd){
        this.sumScoreEnd = sumScoreEnd;
    }

    /**
     * 获取 增加 合计得分
     * @return sumScoreIncrement
     */
    public BigDecimal getSumScoreIncrement(){
        return this.sumScoreIncrement;
    }

    /**
     * 设置 增加 合计得分
     * @param sumScoreIncrement
     */
    public void setSumScoreIncrement(BigDecimal sumScoreIncrement){
        this.sumScoreIncrement = sumScoreIncrement;
    }

    /**
     * 获取 合计得分
     * @return sumScoreList
     */
    public List<BigDecimal> getSumScoreList(){
        return this.sumScoreList;
    }

    /**
     * 设置 合计得分
     * @param sumScoreList
     */
    public void setSumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
    }

    /**
     * 获取 合计得分
     * @return sumScoreNotList
     */
    public List<BigDecimal> getSumScoreNotList(){
        return this.sumScoreNotList;
    }

    /**
     * 设置 合计得分
     * @param sumScoreNotList
     */
    public void setSumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
    }


    /**
     * 获取 开始 自评等级1红旗窗口2黑旗窗口
     * @return selfLevelStart
     */
    public Integer getSelfLevelStart(){
        return this.selfLevelStart;
    }

    /**
     * 设置 开始 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelStart
     */
    public void setSelfLevelStart(Integer selfLevelStart){
        this.selfLevelStart = selfLevelStart;
    }

    /**
     * 获取 结束 自评等级1红旗窗口2黑旗窗口
     * @return $selfLevelEnd
     */
    public Integer getSelfLevelEnd(){
        return this.selfLevelEnd;
    }

    /**
     * 设置 结束 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelEnd
     */
    public void setSelfLevelEnd(Integer selfLevelEnd){
        this.selfLevelEnd = selfLevelEnd;
    }

    /**
     * 获取 增加 自评等级1红旗窗口2黑旗窗口
     * @return selfLevelIncrement
     */
    public Integer getSelfLevelIncrement(){
        return this.selfLevelIncrement;
    }

    /**
     * 设置 增加 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelIncrement
     */
    public void setSelfLevelIncrement(Integer selfLevelIncrement){
        this.selfLevelIncrement = selfLevelIncrement;
    }

    /**
     * 获取 自评等级1红旗窗口2黑旗窗口
     * @return selfLevelList
     */
    public List<Integer> getSelfLevelList(){
        return this.selfLevelList;
    }

    /**
     * 设置 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelList
     */
    public void setSelfLevelList(List<Integer> selfLevelList){
        this.selfLevelList = selfLevelList;
    }

    /**
     * 获取 自评等级1红旗窗口2黑旗窗口
     * @return selfLevelNotList
     */
    public List<Integer> getSelfLevelNotList(){
        return this.selfLevelNotList;
    }

    /**
     * 设置 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelNotList
     */
    public void setSelfLevelNotList(List<Integer> selfLevelNotList){
        this.selfLevelNotList = selfLevelNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 自评附件名称
     * @return annexList
     */
    public List<String> getAnnexList(){
        return this.annexList;
    }

    /**
     * 设置 自评附件名称
     * @param annexList
     */
    public void setAnnexList(List<String> annexList){
        this.annexList = annexList;
    }

    /**
     * 获取 自评附件名称
     * @return annexNotList
     */
    public List<String> getAnnexNotList(){
        return this.annexNotList;
    }

    /**
     * 设置 自评附件名称
     * @param annexNotList
     */
    public void setAnnexNotList(List<String> annexNotList){
        this.annexNotList = annexNotList;
    }

    /**
     * 获取 自评附件地址
     * @return annexUrlList
     */
    public List<String> getAnnexUrlList(){
        return this.annexUrlList;
    }

    /**
     * 设置 自评附件地址
     * @param annexUrlList
     */
    public void setAnnexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
    }

    /**
     * 获取 自评附件地址
     * @return annexUrlNotList
     */
    public List<String> getAnnexUrlNotList(){
        return this.annexUrlNotList;
    }

    /**
     * 设置 自评附件地址
     * @param annexUrlNotList
     */
    public void setAnnexUrlNotList(List<String> annexUrlNotList){
        this.annexUrlNotList = annexUrlNotList;
    }

    /**
     * 获取 开始 填报时间
     * @return fillDateStart
     */
    public String getFillDateStart(){
        return this.fillDateStart;
    }

    /**
     * 设置 开始 填报时间
     * @param fillDateStart
     */
    public void setFillDateStart(String fillDateStart){
        this.fillDateStart = fillDateStart;
    }

    /**
     * 获取 结束 填报时间
     * @return fillDateEnd
     */
    public String getFillDateEnd(){
        return this.fillDateEnd;
    }

    /**
     * 设置 结束 填报时间
     * @param fillDateEnd
     */
    public void setFillDateEnd(String fillDateEnd){
        this.fillDateEnd = fillDateEnd;
    }

    /**
     * 获取 开始 填报状态0暂存1提交
     * @return fillStatusStart
     */
    public Integer getFillStatusStart(){
        return this.fillStatusStart;
    }

    /**
     * 设置 开始 填报状态0暂存1提交
     * @param fillStatusStart
     */
    public void setFillStatusStart(Integer fillStatusStart){
        this.fillStatusStart = fillStatusStart;
    }

    /**
     * 获取 结束 填报状态0暂存1提交
     * @return $fillStatusEnd
     */
    public Integer getFillStatusEnd(){
        return this.fillStatusEnd;
    }

    /**
     * 设置 结束 填报状态0暂存1提交
     * @param fillStatusEnd
     */
    public void setFillStatusEnd(Integer fillStatusEnd){
        this.fillStatusEnd = fillStatusEnd;
    }

    /**
     * 获取 增加 填报状态0暂存1提交
     * @return fillStatusIncrement
     */
    public Integer getFillStatusIncrement(){
        return this.fillStatusIncrement;
    }

    /**
     * 设置 增加 填报状态0暂存1提交
     * @param fillStatusIncrement
     */
    public void setFillStatusIncrement(Integer fillStatusIncrement){
        this.fillStatusIncrement = fillStatusIncrement;
    }

    /**
     * 获取 填报状态0暂存1提交
     * @return fillStatusList
     */
    public List<Integer> getFillStatusList(){
        return this.fillStatusList;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusList
     */
    public void setFillStatusList(List<Integer> fillStatusList){
        this.fillStatusList = fillStatusList;
    }

    /**
     * 获取 填报状态0暂存1提交
     * @return fillStatusNotList
     */
    public List<Integer> getFillStatusNotList(){
        return this.fillStatusNotList;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusNotList
     */
    public void setFillStatusNotList(List<Integer> fillStatusNotList){
        this.fillStatusNotList = fillStatusNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WindowPerformQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WindowPerformQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WindowPerformQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WindowPerformQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WindowPerformQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WindowPerformQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  考核年度
     * @param year
     */
    public WindowPerformQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public WindowPerformQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public WindowPerformQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public WindowPerformQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public WindowPerformQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public WindowPerformQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  考核月份
     * @param month
     */
    public WindowPerformQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public WindowPerformQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public WindowPerformQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public WindowPerformQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public WindowPerformQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public WindowPerformQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  窗口ID
     * @param windowId
     */
    public WindowPerformQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public WindowPerformQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public WindowPerformQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public WindowPerformQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public WindowPerformQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public WindowPerformQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public WindowPerformQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public WindowPerformQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }

    /**
     * 设置  窗口负责人id
     * @param ownerId
     */
    public WindowPerformQuery ownerId(Long ownerId){
        setOwnerId(ownerId);
        return this;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public WindowPerformQuery ownerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public WindowPerformQuery ownerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public WindowPerformQuery ownerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public WindowPerformQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public WindowPerformQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
    }


    /**
     * 设置 窗口负责人名称
     * @param ownerName
     */
    public WindowPerformQuery ownerName(String ownerName){
        setOwnerName(ownerName);
        return this;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public WindowPerformQuery ownerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
        return this;
    }

    /**
     * 设置  所属部门id
     * @param deptId
     */
    public WindowPerformQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public WindowPerformQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public WindowPerformQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public WindowPerformQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public WindowPerformQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public WindowPerformQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public WindowPerformQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public WindowPerformQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public WindowPerformQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public WindowPerformQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public WindowPerformQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public WindowPerformQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public WindowPerformQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public WindowPerformQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public WindowPerformQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public WindowPerformQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }


    /**
     * 设置 工作总结
     * @param workSummary
     */
    public WindowPerformQuery workSummary(String workSummary){
        setWorkSummary(workSummary);
        return this;
    }

    /**
     * 设置 工作总结
     * @param workSummaryList
     */
    public WindowPerformQuery workSummaryList(List<String> workSummaryList){
        this.workSummaryList = workSummaryList;
        return this;
    }


    /**
     * 设置 加分申报
     * @param bonusReport
     */
    public WindowPerformQuery bonusReport(String bonusReport){
        setBonusReport(bonusReport);
        return this;
    }

    /**
     * 设置 加分申报
     * @param bonusReportList
     */
    public WindowPerformQuery bonusReportList(List<String> bonusReportList){
        this.bonusReportList = bonusReportList;
        return this;
    }


    /**
     * 设置 加分佐证附件名称
     * @param proof
     */
    public WindowPerformQuery proof(String proof){
        setProof(proof);
        return this;
    }

    /**
     * 设置 加分佐证附件名称
     * @param proofList
     */
    public WindowPerformQuery proofList(List<String> proofList){
        this.proofList = proofList;
        return this;
    }


    /**
     * 设置 加分佐证附件地址
     * @param proofUrl
     */
    public WindowPerformQuery proofUrl(String proofUrl){
        setProofUrl(proofUrl);
        return this;
    }

    /**
     * 设置 加分佐证附件地址
     * @param proofUrlList
     */
    public WindowPerformQuery proofUrlList(List<String> proofUrlList){
        this.proofUrlList = proofUrlList;
        return this;
    }


    /**
     * 设置 扣分情况
     * @param deductStatement
     */
    public WindowPerformQuery deductStatement(String deductStatement){
        setDeductStatement(deductStatement);
        return this;
    }

    /**
     * 设置 扣分情况
     * @param deductStatementList
     */
    public WindowPerformQuery deductStatementList(List<String> deductStatementList){
        this.deductStatementList = deductStatementList;
        return this;
    }

    /**
     * 设置  扣分分值
     * @param deductScore
     */
    public WindowPerformQuery deductScore(BigDecimal deductScore){
        setDeductScore(deductScore);
        return this;
    }

    /**
     * 设置 开始 扣分分值
     * @param deductScoreStart
     */
    public WindowPerformQuery deductScoreStart(BigDecimal deductScoreStart){
        this.deductScoreStart = deductScoreStart;
        return this;
    }

    /**
     * 设置 结束 扣分分值
     * @param deductScoreEnd
     */
    public WindowPerformQuery deductScoreEnd(BigDecimal deductScoreEnd){
        this.deductScoreEnd = deductScoreEnd;
        return this;
    }

    /**
     * 设置 增加 扣分分值
     * @param deductScoreIncrement
     */
    public WindowPerformQuery deductScoreIncrement(BigDecimal deductScoreIncrement){
        this.deductScoreIncrement = deductScoreIncrement;
        return this;
    }

    /**
     * 设置 扣分分值
     * @param deductScoreList
     */
    public WindowPerformQuery deductScoreList(List<BigDecimal> deductScoreList){
        this.deductScoreList = deductScoreList;
        return this;
    }

    /**
     * 设置 扣分分值
     * @param deductScoreNotList
     */
    public WindowPerformQuery deductScoreNotList(List<BigDecimal> deductScoreNotList){
        this.deductScoreNotList = deductScoreNotList;
        return this;
    }

    /**
     * 设置  工作纪律自评得分
     * @param discipline
     */
    public WindowPerformQuery discipline(BigDecimal discipline){
        setDiscipline(discipline);
        return this;
    }

    /**
     * 设置 开始 工作纪律自评得分
     * @param disciplineStart
     */
    public WindowPerformQuery disciplineStart(BigDecimal disciplineStart){
        this.disciplineStart = disciplineStart;
        return this;
    }

    /**
     * 设置 结束 工作纪律自评得分
     * @param disciplineEnd
     */
    public WindowPerformQuery disciplineEnd(BigDecimal disciplineEnd){
        this.disciplineEnd = disciplineEnd;
        return this;
    }

    /**
     * 设置 增加 工作纪律自评得分
     * @param disciplineIncrement
     */
    public WindowPerformQuery disciplineIncrement(BigDecimal disciplineIncrement){
        this.disciplineIncrement = disciplineIncrement;
        return this;
    }

    /**
     * 设置 工作纪律自评得分
     * @param disciplineList
     */
    public WindowPerformQuery disciplineList(List<BigDecimal> disciplineList){
        this.disciplineList = disciplineList;
        return this;
    }

    /**
     * 设置 工作纪律自评得分
     * @param disciplineNotList
     */
    public WindowPerformQuery disciplineNotList(List<BigDecimal> disciplineNotList){
        this.disciplineNotList = disciplineNotList;
        return this;
    }

    /**
     * 设置  服务规范自评得分
     * @param specification
     */
    public WindowPerformQuery specification(BigDecimal specification){
        setSpecification(specification);
        return this;
    }

    /**
     * 设置 开始 服务规范自评得分
     * @param specificationStart
     */
    public WindowPerformQuery specificationStart(BigDecimal specificationStart){
        this.specificationStart = specificationStart;
        return this;
    }

    /**
     * 设置 结束 服务规范自评得分
     * @param specificationEnd
     */
    public WindowPerformQuery specificationEnd(BigDecimal specificationEnd){
        this.specificationEnd = specificationEnd;
        return this;
    }

    /**
     * 设置 增加 服务规范自评得分
     * @param specificationIncrement
     */
    public WindowPerformQuery specificationIncrement(BigDecimal specificationIncrement){
        this.specificationIncrement = specificationIncrement;
        return this;
    }

    /**
     * 设置 服务规范自评得分
     * @param specificationList
     */
    public WindowPerformQuery specificationList(List<BigDecimal> specificationList){
        this.specificationList = specificationList;
        return this;
    }

    /**
     * 设置 服务规范自评得分
     * @param specificationNotList
     */
    public WindowPerformQuery specificationNotList(List<BigDecimal> specificationNotList){
        this.specificationNotList = specificationNotList;
        return this;
    }

    /**
     * 设置  加分
     * @param bonusScore
     */
    public WindowPerformQuery bonusScore(BigDecimal bonusScore){
        setBonusScore(bonusScore);
        return this;
    }

    /**
     * 设置 开始 加分
     * @param bonusScoreStart
     */
    public WindowPerformQuery bonusScoreStart(BigDecimal bonusScoreStart){
        this.bonusScoreStart = bonusScoreStart;
        return this;
    }

    /**
     * 设置 结束 加分
     * @param bonusScoreEnd
     */
    public WindowPerformQuery bonusScoreEnd(BigDecimal bonusScoreEnd){
        this.bonusScoreEnd = bonusScoreEnd;
        return this;
    }

    /**
     * 设置 增加 加分
     * @param bonusScoreIncrement
     */
    public WindowPerformQuery bonusScoreIncrement(BigDecimal bonusScoreIncrement){
        this.bonusScoreIncrement = bonusScoreIncrement;
        return this;
    }

    /**
     * 设置 加分
     * @param bonusScoreList
     */
    public WindowPerformQuery bonusScoreList(List<BigDecimal> bonusScoreList){
        this.bonusScoreList = bonusScoreList;
        return this;
    }

    /**
     * 设置 加分
     * @param bonusScoreNotList
     */
    public WindowPerformQuery bonusScoreNotList(List<BigDecimal> bonusScoreNotList){
        this.bonusScoreNotList = bonusScoreNotList;
        return this;
    }

    /**
     * 设置  合计得分
     * @param sumScore
     */
    public WindowPerformQuery sumScore(BigDecimal sumScore){
        setSumScore(sumScore);
        return this;
    }

    /**
     * 设置 开始 合计得分
     * @param sumScoreStart
     */
    public WindowPerformQuery sumScoreStart(BigDecimal sumScoreStart){
        this.sumScoreStart = sumScoreStart;
        return this;
    }

    /**
     * 设置 结束 合计得分
     * @param sumScoreEnd
     */
    public WindowPerformQuery sumScoreEnd(BigDecimal sumScoreEnd){
        this.sumScoreEnd = sumScoreEnd;
        return this;
    }

    /**
     * 设置 增加 合计得分
     * @param sumScoreIncrement
     */
    public WindowPerformQuery sumScoreIncrement(BigDecimal sumScoreIncrement){
        this.sumScoreIncrement = sumScoreIncrement;
        return this;
    }

    /**
     * 设置 合计得分
     * @param sumScoreList
     */
    public WindowPerformQuery sumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
        return this;
    }

    /**
     * 设置 合计得分
     * @param sumScoreNotList
     */
    public WindowPerformQuery sumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
        return this;
    }

    /**
     * 设置  自评等级1红旗窗口2黑旗窗口
     * @param selfLevel
     */
    public WindowPerformQuery selfLevel(Integer selfLevel){
        setSelfLevel(selfLevel);
        return this;
    }

    /**
     * 设置 开始 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelStart
     */
    public WindowPerformQuery selfLevelStart(Integer selfLevelStart){
        this.selfLevelStart = selfLevelStart;
        return this;
    }

    /**
     * 设置 结束 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelEnd
     */
    public WindowPerformQuery selfLevelEnd(Integer selfLevelEnd){
        this.selfLevelEnd = selfLevelEnd;
        return this;
    }

    /**
     * 设置 增加 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelIncrement
     */
    public WindowPerformQuery selfLevelIncrement(Integer selfLevelIncrement){
        this.selfLevelIncrement = selfLevelIncrement;
        return this;
    }

    /**
     * 设置 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelList
     */
    public WindowPerformQuery selfLevelList(List<Integer> selfLevelList){
        this.selfLevelList = selfLevelList;
        return this;
    }

    /**
     * 设置 自评等级1红旗窗口2黑旗窗口
     * @param selfLevelNotList
     */
    public WindowPerformQuery selfLevelNotList(List<Integer> selfLevelNotList){
        this.selfLevelNotList = selfLevelNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public WindowPerformQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public WindowPerformQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置 自评附件名称
     * @param annex
     */
    public WindowPerformQuery annex(String annex){
        setAnnex(annex);
        return this;
    }

    /**
     * 设置 自评附件名称
     * @param annexList
     */
    public WindowPerformQuery annexList(List<String> annexList){
        this.annexList = annexList;
        return this;
    }


    /**
     * 设置 自评附件地址
     * @param annexUrl
     */
    public WindowPerformQuery annexUrl(String annexUrl){
        setAnnexUrl(annexUrl);
        return this;
    }

    /**
     * 设置 自评附件地址
     * @param annexUrlList
     */
    public WindowPerformQuery annexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
        return this;
    }


    /**
     * 设置  填报状态0暂存1提交
     * @param fillStatus
     */
    public WindowPerformQuery fillStatus(Integer fillStatus){
        setFillStatus(fillStatus);
        return this;
    }

    /**
     * 设置 开始 填报状态0暂存1提交
     * @param fillStatusStart
     */
    public WindowPerformQuery fillStatusStart(Integer fillStatusStart){
        this.fillStatusStart = fillStatusStart;
        return this;
    }

    /**
     * 设置 结束 填报状态0暂存1提交
     * @param fillStatusEnd
     */
    public WindowPerformQuery fillStatusEnd(Integer fillStatusEnd){
        this.fillStatusEnd = fillStatusEnd;
        return this;
    }

    /**
     * 设置 增加 填报状态0暂存1提交
     * @param fillStatusIncrement
     */
    public WindowPerformQuery fillStatusIncrement(Integer fillStatusIncrement){
        this.fillStatusIncrement = fillStatusIncrement;
        return this;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusList
     */
    public WindowPerformQuery fillStatusList(List<Integer> fillStatusList){
        this.fillStatusList = fillStatusList;
        return this;
    }

    /**
     * 设置 填报状态0暂存1提交
     * @param fillStatusNotList
     */
    public WindowPerformQuery fillStatusNotList(List<Integer> fillStatusNotList){
        this.fillStatusNotList = fillStatusNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WindowPerformQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WindowPerformQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WindowPerformQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WindowPerformQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WindowPerformQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WindowPerformQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public WindowPerformQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public WindowPerformQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public WindowPerformQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public WindowPerformQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public WindowPerformQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public WindowPerformQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WindowPerformQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WindowPerformQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WindowPerformQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WindowPerformQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}